	
	loc date: display %tdCCYY-NN-DD =daily("`c(current_date)'", "DMY")
	cap log close
	log using "${user}/output/log/01d_population_MoH_`date'", replace

	/* =============================================================================
		Project			: India poverty estimates - 2011-12 & 2022-23 
		Dofile			: 01a_cpi_clean.do
		Last modified	: 25th March 2025
		Inputs			: "${user}/data/raw/other"											
		Outputs			: "${user}/data/processed/other"
		File purpose	: Convert population projections shared by the Ministry of 
						  Family and Health from excel to dta. 
	============================================================================= */

	*Import excel and clean
	import excel "${user}/data/raw/other/Population_Projections_Health_Ministry.xlsx", sheet("stata_sheet") firstrow clear

	drop total* CB
	drop if _n>37

	*Reshape 
	reshape long r_ u_, i(state) j(year)

	rename r_ population1
	rename u_ population2

	reshape long population, i(state year) j(sector)

	split state, p("(", ")") gen(state_code)

	drop state
	ren state_code1 state_name
	ren state_code2 state
	drop state_name

	destring state, replace
	
	*Match state codes to HCES 2022-23. Merge Daman & Diu AND Dadra & Nagar Haveli
	replace state = 25 if state==26

	lab var state "State codes matching 2022-23"
	
	*Collapse population at state sector year level
	collapse (sum) population, by(state sector year)
	lab var population "Pop in thousands"

	table year, stat(sum population) nototal

	save "${user}/data/processed/other/population_MoH.dta", replace
	
	* ==========================================================================*
	di in red "THE END OF 01b_population_MoH" 
	* ==========================================================================*

	cap log close
	exit