
	loc date: display %tdCCYY-NN-DD =daily("`c(current_date)'", "DMY")
	cap log close
	log using "${user}/output/sensitivity_checks/add_housing/log/03_consumption_adjustments_`date'.log", replace

	/* =============================================================================
	Project			: India poverty estimates - 2011-12 & 2022-23 
	Dofile			: 03_consumption_adjustments
	Last modified	: April 11th 2025

	Inputs			: "${user}/data/processed/ces/master_consumption_2022_all.dta"
					  "${user}/data/processed/ces/sensitivity_checks/add_housing/housing_predictions2022.dta"
									
	Steps			: * 1. ADJUSTMENTS TO MASTER DATASET - 2011
					  * 2. ADJUSTMENTS TO MASTER DATASET - 2022
					
	Output			: "${user}/data/processed/ces/sensitivity_checks/add_housing/master_consumption_2022.dta"
			
	============================================================================= */

	*===============================================================================
	* 1. ADJUSTMENTS TO MASTER DATASET - 2022
	*===============================================================================

	use "${user}/data/processed/ces/master_consumption_2022_all.dta", clear
		// Important to take ALL master, including all adjustments to achieve consumption aggregate
		drop value_total_pds
		ren value_total_all value_total
		sum value_total if item==520

		// drop actual rents and add hedonic for every HH (this is the main difference with _all scenario)
		drop if item ==520
		append using "${user}/data/processed/ces/sensitivity_checks/add_housing/housing_predictions2022.dta"

		sum value_total if item==520
		
		keep hhid  item survey_month value_total qty_total qty_new source  year 
		order hhid survey_month year item qty_total qty_new value_total source 
		
		save "${user}/data/processed/ces/sensitivity_checks/add_housing/master_consumption_2022.dta", replace

	*===============================================================================
	di in red "THE END OF 03_consumption_adjustments_for_housing"
	*===============================================================================
		log close
		exit