	loc date: display %tdCCYY-NN-DD =daily("`c(current_date)'", "DMY")
	cap log close
	log using "${user}/output/sensitivity_checks/add_housing/log/04_deflators_wy_`date'.log", replace

/* =============================================================================
	Project			: India poverty estimates - 2011-12 & 2022-23 
	Dofile			: 04_deflators_w
	Last modified	: 11th April 2025

	Inputs			: // From housing 
					  "${user}/data/processed/ces/sensitivity_checks/add_housing/master_consumption_2022.dta"
					
				     // From general proccess
					"${user}/data/processed/ces/master_hh_2022.dta"	
					"${user}/data/processed/ces/master_item_list_2022.dta"
					"${user}/data/processed/other/cpi_master_monthly.dta"
					
	Outputs			: "${user}/data/processed/ces/sensitivity_checks/add_housing/master_consumption_wy_2022.dta"
									
	Steps			: * 1. TEMPORAL DEFLATION - 2011
					  * 2. TEMPORAL DEFLATION - 2022
	============================================================================= */

	*===========================================================================
	* 1. TEMPORAL DEFLATION - 2022
	*===========================================================================
	use "${user}/data/processed/ces/sensitivity_checks/add_housing/master_consumption_2022.dta", replace
	merge m:1 hhid using "${user}/data/processed/ces/master_hh_2022.dta", keepusing(state sector)
	drop _m
	merge m:1 item using "${user}/data/processed/ces/master_item_list_2022.dta", keepusing(scode) keep(3)
	drop _m
	merge m:1 state sector  survey_month scode year using "${user}/data/processed/other/cpi_master_monthly.dta", keepusing(cpi cpi_avg) keep(3)
	drop _m
	
	g value_deflated = value_total / (cpi/cpi_avg) 
			
			la var value_deflated 	"Temporally deflated consumption value "
			la var value_total 		"Nominal consumption value "
			la var survey_month 	"Month of survey"
			la var year 			"Year of survey"
	
	loc keepextra
	if "" == "_pds" {
		loc keepextra `keepextra' pds_imputed_valid nf_imputed_valid
	}
	
	keep year hhid item source survey_month value_total qty_total qty_new value_deflated `keepextra'
	order year hhid item source survey_month value_total qty_total qty_new value_deflated 
	save "${user}/data/processed/ces/sensitivity_checks/add_housing/master_consumption_wy_2022.dta", replace

	* ==========================================================================*
	di in red "THE END OF 04_deflators_wy_for_housing" 
	* ==========================================================================*
	log close
	exit